Skip to main content

BI & Analytics

Tableau, Looker, PowerBI dashboards

  • Tools: 5
  • Connectors: 9

Connectors in this domain

Tool reference

analytics.dashboards.list - List Dashboards

List available dashboards

  • Risk: read - Read-only - safe to call freely
  • Supported by: Looker, Metabase, Tableau, Power BI, Amplitude, Segment, Heap, Mixpanel, Google Analytics

Input schema

No fields.

Output schema

FieldTypeRequiredDescription
dashboardsarrayNo-

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/analytics.dashboards.list/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "analytics.dashboards.list",
"arguments": {}
}
}

analytics.exports.create - Export Data

Export analytics data

  • Risk: read - Read-only - safe to call freely
  • Supported by: Tableau, Looker, Power BI, Metabase, Amplitude, Segment, Heap, Mixpanel, Google Analytics

Input schema

FieldTypeRequiredDescription
formatstringNo-
report_idstringNo-

Output schema

FieldTypeRequiredDescription
urlstringNo-

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/analytics.exports.create/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"format":"string","report_id":"string"}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "analytics.exports.create",
"arguments": {
"format": "string",
"report_id": "string"
}
}
}

analytics.metrics.query - Query Metrics

Query metrics data

  • Risk: read - Read-only - safe to call freely
  • Supported by: Heap, Amplitude, Mixpanel, Google Analytics, Metabase, Tableau, Segment, Power BI

Input schema

FieldTypeRequiredDescription
tostringNo-
fromstringNo-
metricstringNo-

Output schema

FieldTypeRequiredDescription
dataarrayNo-

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/analytics.metrics.query/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"to":"string","from":"string"}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "analytics.metrics.query",
"arguments": {
"to": "string",
"from": "string"
}
}
}

analytics.reports.get - Get Report

Get report details and data

  • Risk: read - Read-only - safe to call freely
  • Supported by: Tableau, Looker, Power BI, Mixpanel, Metabase, Amplitude, Segment, Heap, Google Analytics

Input schema

FieldTypeRequiredDescription
report_idstringNo-

Output schema

FieldTypeRequiredDescription
reportobjectNo-

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/analytics.reports.get/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"report_id":"string"}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "analytics.reports.get",
"arguments": {
"report_id": "string"
}
}
}

analytics.reports.list - List Reports

List available reports

  • Risk: read - Read-only - safe to call freely
  • Supported by: Looker, Metabase, Tableau, Power BI, Amplitude, Segment, Heap, Mixpanel, Google Analytics

Input schema

No fields.

Output schema

FieldTypeRequiredDescription
reportsarrayNo-

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/analytics.reports.list/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "analytics.reports.list",
"arguments": {}
}
}